### Method

# GimpUi PageSelector set_page_thumbnail

since: 2.4

#### Declaration [src]

    void
    gimp_page_selector_set_page_thumbnail (
      GimpPageSelector* selector,
      gint page_no,
      GdkPixbuf* thumbnail
    )

#### Description [src]

Sets the thumbnail for given `page_no`. A default “page” icon will be used if no page thumbnail is set.

Available since: 2.4

#### Parameters

`page_no`

  Type: `gint`

  The number of the page to set the thumbnail for.

`thumbnail`

  Type: `GdkPixbuf`

  The thumbnail pixbuf.

  The data is owned by the caller of the method.